Ticket #714: umurmur_cgi_cert.patch
| File umurmur_cgi_cert.patch, 10.1 KB (added by sf3978, 6 months ago) |
|---|
-
make/umurmur/Config.in
1 config FREETZ_PACKAGE_UMURMUR 2 bool "umurmur 0.2.2" 3 select FREETZ_LIB_libconfig 4 select FREETZ_LIB_libpolarssl 5 default n 6 help 7 umurmur is a minimalistic Mumble server primarily 8 targeted to run on routers using less resources. 9 It targets to fill the needs of a pretty small group 10 of users communicating, which in part originates from 11 the other goal of working well on a small system with 12 a limited CPU and limited amount of disk space. It also 13 aims to minimize writing to the disk since these kinds 14 of systems usually only has a flash memory for disk. 15 umurmur supports a subset of the features of Murmur. 16 http://code.google.com/p/umurmur/ -
make/umurmur/external.files
1 [ "$EXTERNAL_FREETZ_PACKAGE_UMURMUR" == "y" ] && EXTERNAL_FILES+=" /usr/bin/umurmurd" -
make/umurmur/external.in
1 config EXTERNAL_FREETZ_PACKAGE_UMURMUR 2 depends on EXTERNAL_ENABLED && FREETZ_PACKAGE_UMURMUR 3 bool "umurmur" 4 default n 5 help 6 externals these file(s): 7 /usr/bin/umurmurd -
make/umurmur/files/root/etc/default.umurmur/sample-umurmur.conf
1 max_bandwidth = 48000; 2 welcometext = "Welcome to uMurmur!"; 3 certificate = "/etc/umurmur/my_selfsigned_umurmur_cert.crt"; 4 private_key = "/etc/umurmur/my_umurmur_key.key"; 5 password = ""; 6 max_users = 10; 7 8 # Root channel must always be defined first. 9 # If a channel has a parent, the parent must be defined before the child channel(s). 10 channels = ( { 11 name = "Root"; 12 parent = ""; 13 description = "The Root of all channels"; 14 }, 15 { 16 name = "Lobby"; 17 parent = "Root"; 18 description = "Lobby channel"; 19 }, 20 { 21 name = "Red team"; 22 parent = "Lobby"; 23 description = "The Red team channel"; 24 }, 25 { 26 name = "Blue team"; 27 parent = "Lobby"; 28 description = "The Blue team channel"; 29 } 30 ); 31 # Channel links configuration. 32 channel_links = ( { 33 source = "Lobby"; 34 destination = "Red team"; 35 }, 36 { 37 source = "Lobby"; 38 destination = "Blue team"; 39 } 40 ); 41 42 default_channel = "Lobby"; -
make/umurmur/files/root/etc/default.umurmur/umurmur.cfg
1 export UMURMUR_ENABLED='no' 2 export UMURMUR_CONFIG='' 3 export UMURMUR_STARTPARAMS='' 4 -
make/umurmur/files/root/etc/init.d/rc.umurmur
1 #!/bin/sh 2 3 DAEMON=umurmurd 4 CONF_NAME=umurmur 5 6 . /etc/init.d/modlibrc 7 8 start() { 9 echo "$UMURMUR_CONFIG" > /mod/etc/umurmur.conf 10 11 echo -n 'Starting umurmurd ...' 12 13 $DAEMON -c /mod/etc/umurmur.conf $UMURMUR_STARTPARAMS 14 exitval=$? 15 if [ "$exitval" -eq 0 ]; then 16 echo 'done.' 17 else 18 echo 'failed.' 19 exit $exitval 20 fi 21 } 22 23 stop() { 24 echo -n 'Stopping umurmurd ...' 25 killall $DAEMON > /dev/null 2>&1 26 exitval=$? 27 if [ "$exitval" -eq 0 ]; then 28 echo 'done.' 29 else 30 echo 'failed.' 31 exit $exitval 32 fi 33 } 34 35 case "$1" in 36 ""|load) 37 modreg cgi 'umurmur' 'umurmur' 38 39 if [ "$UMURMUR_ENABLED" != "yes" ]; then 40 echo "$DAEMON is disabled" 1>&2 41 exit 1; 42 fi 43 44 start 45 ;; 46 unload) 47 stop 48 modunreg cgi 'umurmur' 49 ;; 50 start) 51 start 52 ;; 53 stop) 54 stop 55 ;; 56 restart) 57 stop 58 sleep 1 59 start 60 ;; 61 status) 62 if [ -z "$(pidof "$DAEMON")" ]; then 63 echo 'stopped' 64 else 65 echo 'running' 66 fi 67 ;; 68 *) 69 echo "Usage: $0 [load|unload|start|stop|restart|status]" 1>&2 70 exit 1 71 ;; 72 esac 73 74 exit 0 -
make/umurmur/files/root/etc/umurmur/dummy
1 -
make/umurmur/files/root/usr/lib/cgi-bin/umurmur.cgi
1 #!/bin/sh 2 3 PATH=/bin:/usr/bin:/sbin:/usr/sbin 4 . /usr/lib/libmodcgi.sh 5 6 auto_chk=''; man_chk='' 7 8 if [ "$UMURMUR_ENABLED" = "yes" ]; then auto_chk=' checked'; else man_chk=' checked'; fi 9 10 sec_begin '$(lang de:"Starttyp" en:"Start type")' 11 12 cat << EOF 13 <p>$(lang de:"Starttyp" en:"Start type")<br /> 14 <input id="e1" type="radio" name="enabled" value="yes"$auto_chk><label for="e1"> $(lang de:"Automatisch" en:"Automatic")</label> 15 <input id="e2" type="radio" name="enabled" value="no"$man_chk><label for="e2"> $(lang de:"Manuell" en:"Manual")</label> 16 </p> 17 EOF 18 19 sec_end 20 sec_begin '$(lang de:"Konfiguration" en:"Configuration")' 21 22 cat << EOF 23 24 $(lang de:"Aufrufparamater" en:"Startparameters") <input id="id_params" size="50" type="text" name="startparams" value="$UMURMUR_STARTPARAMS" title="eg. configname <IP of Peer>" > <br /> 25 $(lang de:"(umurmur, Mumble protocol)" en:"(umurmur, Mumble protocol)")<br /> 26 <small style="font-size:0.8em"><b>Mode:</b> <i>daemon</i> <br /> <b>Usage:</b> <i>umurmurd [-p /var/tmp/flash/mod/umurmur.pid]</i> </small> <br /> 27 <p>$(lang de:"Konfigurationsdatei:" en:"Configurationfile:")<br /> 28 <textarea id="id_config" style="width: 500px; " name="config" rows="30" cols="80" wrap="off" >$UMURMUR_CONFIG</textarea></p> 29 EOF 30 31 sec_end -
make/umurmur/Makefile.in
1 ifeq ($(strip $(FREETZ_PACKAGE_UMURMUR)),y) 2 PACKAGES+=umurmur 3 endif -
make/umurmur/patches/110_Mumble_pb-c_h.patch
1 --- src/Mumble.pb-c.h.orig 2010-03-08 08:45:12.000000000 +0100 2 +++ src/Mumble.pb-c.h 2010-03-08 08:41:06.000000000 +0100 3 @@ -3,7 +3,7 @@ 4 #ifndef PROTOBUF_C_Mumble_2eproto__INCLUDED 5 #define PROTOBUF_C_Mumble_2eproto__INCLUDED 6 7 -#include <google/protobuf-c/protobuf-c.h> 8 +#include "google/protobuf-c/protobuf-c.h" 9 10 PROTOBUF_C_BEGIN_DECLS 11 -
make/umurmur/umurmur.mk
1 $(call PKG_INIT_BIN, 0.2.2) 2 $(PKG)_SOURCE:=$(pkg)-$($(PKG)_VERSION).tar.gz 3 $(PKG)_SITE:=http://$(pkg).googlecode.com/files 4 $(PKG)_BINARY:=$($(PKG)_DIR)/src/$(pkg)d 5 $(PKG)_TARGET_BINARY:=$($(PKG)_DEST_DIR)/usr/bin/$(pkg)d 6 UMURMUR_CERT_DIR:=$(FREETZ_BASE_DIR)/packages/$(pkg)-$($(PKG)_VERSION)/root/etc/$(pkg) 7 $(PKG)_STARTLEVEL=40 8 $(PKG)_SOURCE_MD5:=a841cf38de7fbc8bdacafbd481561da7 9 10 $(PKG)_DEPENDS_ON := polarssl libconfig 11 12 POLARSSL_LIB:=$(FREETZ_BASE_DIR)/source/$(pkg)-$($(PKG)_VERSION)/library/libpolarssl.a 13 POLARSSL_INCLUDE:=$(TARGET_TOOLCHAIN_STAGING_DIR)/include/polarssl/ 14 EXTRA_CFLAGS:=-DUSE_POLARSSL -I$(POLARSSL_INCLUDE) 15 EXTRA_LDLAGS:=-lpolarssl -lconfig 16 17 $(PKG_SOURCE_DOWNLOAD) 18 $(PKG_UNPACKED) 19 $(PKG_CONFIGURED_NOP) 20 21 $($(PKG)_BINARY): $($(PKG)_DIR)/.configured 22 rm -f $(UMURMUR_CERT_DIR)/my_umurmur_key.key 23 rm -f $(UMURMUR_CERT_DIR)/my_selfsigned_umurmur_cert.crt 24 openssl genrsa 1024 > $(UMURMUR_CERT_DIR)/my_umurmur_key.key 25 openssl req -new -x509 -nodes -sha1 -days 365 -key \ 26 $(UMURMUR_CERT_DIR)/my_umurmur_key.key \ 27 > $(UMURMUR_CERT_DIR)/my_selfsigned_umurmur_cert.crt 28 $(SUBMAKE) -C $(UMURMUR_DIR)/src \ 29 CC="$(TARGET_CC)" \ 30 CFLAGS="$(EXTRA_CFLAGS) $(TARGET_CFLAGS)" \ 31 LDFLAGS="$(EXTRA_LDLAGS)" 32 33 $($(PKG)_TARGET_BINARY): $($(PKG)_BINARY) 34 $(INSTALL_BINARY_STRIP) 35 36 $(pkg): 37 38 $(pkg)-precompiled: $($(PKG)_TARGET_BINARY) 39 40 $(pkg)-clean: 41 -$(SUBMAKE) -C $(UMURMUR_DIR) clean 42 $(RM) $(UMURMUR_DIR)/.configured 43 44 $(pkg)-uninstall: 45 $(RM) $(UMURMUR_TARGET_BINARY) 46 47 $(PKG_FINISH) -
make/umurmur/files/.language
1 languages 2 { de en } 3 default 4 { de } 5 files 6 { 7 usr/lib/cgi-bin/umurmur.cgi 8 } -
make/external.in
55 55 source make/transmission/external.in 56 56 source make/tree/external.in 57 57 source make/trickle/external.in 58 source make/umurmur/external.in 58 59 source make/unrar/external.in 59 60 source make/vim/external.in 60 61 source make/wol/external.in -
make/Config.in
163 163 source make/tree/Config.in 164 164 source make/trickle/Config.in 165 165 source make/tmux/Config.in 166 source make/umurmur/Config.in 166 167 source make/unrar/Config.in 167 168 source make/usbroot/Config.in 168 169 source make/vim/Config.in -
CHANGELOG
111 111 * tmux 1.2 112 112 * transmission-cgi 0.0.4 113 113 * trickle 1.07 114 * umurmur 0.2.2 114 115 * unrar 3.9.9 115 116 * vnstat 1.10 116 117 * vnstat-cgi 0.6.9
